Package org.eclipse.emf.cdo.spi.common.commit

# Class CDOChangeSetDataRevisionProvider

java.lang.Object
org.eclipse.emf.cdo.spi.common.commit.CDOChangeSetDataRevisionProvider

All Implemented Interfaces:
  `CDOChangeSetDataProvider`, `CDORevisionProvider`

public class CDOChangeSetDataRevisionProvider extends Object implements CDORevisionProvider, CDOChangeSetDataProvider
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`CDOChangeSetDataRevisionProvider(CDORevisionProvider delegate, CDOChangeSetData changeSetData)`
`CDOChangeSetDataRevisionProvider(CDORevisionProvider delegate, CDOChangeSetData changeSetData, CDORevisionProvider revisionCallback, CDORevisionDeltaProvider revisionDeltaCallback)`

## Method Summary

Modifier and Type
Method
Description
`CDOChangeSetData`
`getChangeSetData()`
`CDORevision`
`getRevision(CDOID id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDOChangeSetDataRevisionProvider

public CDOChangeSetDataRevisionProvider(CDORevisionProvider delegate, CDOChangeSetData changeSetData, CDORevisionProvider revisionCallback, CDORevisionDeltaProvider revisionDeltaCallback)

### CDOChangeSetDataRevisionProvider

public CDOChangeSetDataRevisionProvider(CDORevisionProvider delegate, CDOChangeSetData changeSetData)

## Method Details

### getChangeSetData

public CDOChangeSetData getChangeSetData()

Specified by:
  `getChangeSetData` in interface `CDOChangeSetDataProvider`

### getRevision

public CDORevision getRevision(CDOID id)

Specified by:
  `getRevision` in interface `CDORevisionProvider`